> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update one of the calling account's notifications.



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json put /account-notifications/{id}
openapi: 3.0.4
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
tags:
  - name: Account
  - name: AccountNotification
  - name: Agency
  - name: Analytics
  - name: Billing
  - name: Bot
  - name: BotMetric
  - name: BotSourceVariable
  - name: BotTemplate
  - name: BotTesting
  - name: Dashboard
  - name: Hierarchy
  - name: Lead
  - name: Leaderboard
  - name: Library
  - name: LiveDemo
  - name: Notification
  - name: Persona
  - name: Report
  - name: SmartFAQ
  - name: Source
  - name: SourceChannel
  - name: Webhook
paths:
  /account-notifications/{id}:
    put:
      tags:
        - AccountNotification
      summary: Update one of the calling account's notifications.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountNotificationUpdateDto'
          text/json:
            schema:
              $ref: '#/components/schemas/AccountNotificationUpdateDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AccountNotificationUpdateDto'
      responses:
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AccountNotificationDto'
            application/json:
              schema:
                $ref: '#/components/schemas/AccountNotificationDto'
            text/json:
              schema:
                $ref: '#/components/schemas/AccountNotificationDto'
components:
  schemas:
    AccountNotificationUpdateDto:
      type: object
      properties:
        viewed:
          type: boolean
          description: Whether the notification has been viewed
      additionalProperties: false
    AccountNotificationDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        kind:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        body:
          type: string
          nullable: true
        viewed:
          type: boolean
        timestamp:
          type: string
          format: date-time
        metadata:
          $ref: '#/components/schemas/AccountNotificationMetadata'
      additionalProperties: false
    AccountNotificationMetadata:
      type: object
      properties:
        leadId:
          type: string
          nullable: true
        noteId:
          type: string
          nullable: true
        mentionedByAccountId:
          type: string
          nullable: true
        mentionedByName:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````